@import '@trello-app/_setting.scss';

.board-content {
  display: flex;
  height: $board-content-height;
  overflow-x: auto;
  overflow-y: hidden;

  &::after {
    content: '';
    flex: 0 0 $gap-10;
  }

  &::-webkit-scrollbar {
    -webkit-appearance: none;
  }

  &::-webkit-scrollbar:horizontal {
    height: 5px;
  }

  &::-webkit-scrollbar-thumb {
    background-color: $common-element-bg-color;
    border-radius: 8px;
  }

  .column-drop-preview {
    background-color: rgba(150, 150, 200, 0.1);
    border: 1px dashed #abc;
    margin: 5px 45px 5px 5px;
  }

  .add-new-column {
    cursor: pointer;
    margin-left: $gap-10;
    font-size: 15px;
    color: white;
    background-color: hsla(0, 0%, 100%, .24);
    border-radius: $column-border-radius;
    width: 250px;
    max-width: 250px;
    line-height: 32px;
    padding: 4px 0 4px 15px;

    &:hover {
      background-color: hsla(0, 0%, 100%, .34);
    }
  }

  .enter-new-column {
    margin-left: $gap-10;
    width: 250px;
    max-width: 250px;
    background-color: $column-bg-color;
    line-height: 32px;
    padding: 4px 10px;
    border-radius: $column-border-radius;

    input.input-enter-new-column {
      margin: 5px 0;
      line-height: 32px;

      &:focus {
        border: 1px solid $input-border-color;
      }
    }
  }
}
